import sklearn as sk
import numpy as np
import csv
import sys
import os


def load_data(filename):
    print (os.getcwd())
    with open(filename, newline='') as csvfile:
        reader = csv.reader(csvfile)
        try:
            data = [];
            for row in reader:
                data.append(row)
            print(data)
            return np.array(data)
        except csv.Error as e:
            sys.exit("file {}, line {}: {}".format())


def plant_trees(data):
    parameters, classes = data[:], data[:]
    tree = sk.tree.DecisionTreeClassifier()
    tree = tree.fit(parameters, classes)
    return tree


def validation():
    pass


def store():
    pass


def main():
    filename = sys.argv[1]
    print("Loading file {}".format(filename))
    data = load_data(filename)
    tree = plant_trees(data)
    validation(tree)
    store(tree)


if __name__ == '__main__':
    main()
